import numpy as np
from numpy.fft import fft2, ifft2, fftshift

def crosscorr(l, r):    # calcola lo spettro di potenza
                        # della matrice di correlazione
                        # usando FFT/iFFT.
    lf = fft2(l)
    rf = fft2(r)
    lf = np.conj(lf)
    iff = np.absolute(ifft2(lf*rf))
    return fftshift(iff)    # fftshift riaggiusta la posizione

