from __future__ import print_function
import os
from astropy.utils.data import download_file

URL0="https://dr12.sdss.org/sas/dr12/boss/photoObj/frames/{rerun}/{run}/{camcol}/"
FNAME="frame-u-{run:06d}-{camcol}-{field:04d}.fits.bz2"

def getfits(obj_spec):
    url =  URL0.format(**obj_spec)+FNAME.format(**obj_spec)
    fits_file = download_file(url, cache=True)
    localname = localname = "obj_%d.fits.bz2"%obj_spec["objid"]
    os.rename(fits_file, localname)
    print("Creato file:", localname)
