from __future__ import print_function
from BaseHTTPServer import HTTPServer, BaseHTTPRequestHandler

HEAD = """
<h3>Stage in Astronomia 2017</h3>
<h2>Web server di esempio</h2>
"""
FORM = """
<form action=uso_form>
Scrivi qui <input type=text name=testo>
e premi <input type=submit value=Invia>
</form>
"""

class MyHTTPRequestHandler(BaseHTTPRequestHandler):
    def do_GET(self):
        print("PATH:", self.path)
        try:
            testo=self.path.split("?")[1].split("=")[1]
        except:
            testo=""
        self.send_response(200)
        self.send_header("Content-Type", "text/html")
        self.end_headers()
        print("<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">", self.wfile)
        print("<html><head>", self.wfile)
        print("</head><body>", self.wfile)
        print(HEAD, file=self.wfile)
        if testo:
           print("Hai scritto: %s <p>"%testo, file=self.wfile)
        print(FORM, file=self.wfile)

class WebServer(HTTPServer):
    def __init__(self):
        server_address = ('', 8888)
        HTTPServer.__init__(self, server_address, MyHTTPRequestHandler)

    def serve_forever(self):
        while True:
            self.handle_request()

server = WebServer()
server.serve_forever()
