import numpy as np

def gauss2d(heigth, sizex, sizey, centerx, centery, widthx, widthy):

    x = np.arange(0, sizex, 1, float)
    y = np.arange(0, sizey, 1, float).reshape(-1,1)

    return heigth * np.exp(-0.5*(((x-centerx)/widthx)**2 + \
                                 ((y-centery)/widthy)**2))
