import astropy.coordinates as coord

from starlist import STAR_DB

for star in STAR_DB:
    name = star[0]
    try:
        obj_coords = coord.name_resolve.get_icrs_coordinates(name).to_string()
    except coord.name_resolve.NameResolveError as e:
        print str(e)
    else:
        print  name, "- (ra, dec)", obj_coords

