import sys
import Tix
from threading import Thread

class Input(Thread):
    def __init__(self,wdg):
        Thread.__init__(self)
        self._wdg=wdg
        self.daemon=True

    def run(self):
        while True:
            l=sys.stdin.readline()
            self._wdg.text.insert(Tix.END,l)

class MyWidget(Tix.Frame):
    def __init__(self, root):
        Tix.Frame.__init__(self, root)
        self.text=Tix.Text(self)
        self.text.pack(side=Tix.TOP)
        bottom=Tix.Frame(self)
        bottom.pack(side=Tix.TOP)
        b1=Tix.Button(bottom, text="Cancella", command=self.cancella)
        b1.pack(side=Tix.LEFT)
        b2=Tix.Button(bottom, text="Esci", command=root.destroy)
        b2.pack(side=Tix.LEFT)
    def cancella(self):
        self.text.delete(1.0, Tix.END)

root=Tix.Tk()
root.title("Esempio Tix N.2")
wdg=MyWidget(root)
wdg.pack()
inp=Input(wdg)
inp.start()
print "\nOra scrivi qualche linea ...\n"
root.mainloop()
