import sys
import re

MATCH = re.compile("([^\d]*)([0-9+\-.]*)(.*)")

def cvt_field(field):
    "tratta un campo della tabella LaTeX"
    ret = ("", "", "")
    mtch = MATCH.match(field)
    if mtch:
        ret = mtch.group(1), mtch.group(2), mtch.group(3)
    return ret

table = []
with open(sys.argv[1]) as inp:
    while True:
        line = inp.readline()
        if not line:
            break
        fields = line.split("&")
        outl = [cvt_field(f) for f in fields]
        if outl:
            fields.append(outl)
        
